Get shipping rates

This endpoint allows to get shipping rates of a package for a determined address. It calculates the available shipping options with their respective costs and delivery times based on package dimensions and origin/destination addresses. In case of success, the request will return a response with status 200.

POST

https://api.mercadopago.com/shipping/v1/shipments-rates
Request parameters
Header
Authorization
string

REQUIRED

Access Token obtained through the developer panel. Must be sent in all requests.
Body
packages
array
List of packages to be shipped. Currently supports only one package per request.
shipping_from
object
Origin address information for the shipment. Optional field that defaults to the seller's registered address if not provided.
shipping_to
object

REQUIRED

Destination address information for the shipment. This is required to calculate shipping rates.
Response parameters
shipment_rate_id
string
Unique identifier for the rate calculation session, automatically generated by the system. This ID should be used as "shipment_rate_id" when creating a shipment.
rates
array
List of quotes for the package based on the information provided.
shipping_to
object
Destination address information.
Errors

400Bad request. The parameters sent are not valid.

bad_request

Invalid data was sent in the request body. Try sending the request again, validating all fields.

401Unauthorized. Invalid or missing credentials.

unauthorized

The value sent as Access Token is incorrect. Please check and try again with the correct value.

404Not found. The requested resource does not exist.

not_found

The requested resource was not found or the value sent for its identification does not exist. Validate the information sent in the parameters and try the request again.

417Expectation failed.

expectation_failed

Could not meet the expectation specified in the "Expect" header. Validate the information sent and try the request again.

500Internal server error.

internal_server_error

An unexpected error occurred on the server. Try the request again.

Request
curl -X POST \
    'https://api.mercadopago.com/shipping/v1/shipments-rates'\
    -H 'Content-Type: application/json' \
       -H 'Authorization: Bearer APP_USR-4*********994754-12*********c73b4e1ac*********cef36b27c*********840' \
    -d '{
  "packages": [
    {
      "declared_value": 1500,
      "quantity": 1,
      "dimensions": {
        "weight": 500,
        "width": 30,
        "height": 30,
        "length": 30
      }
    }
  ],
  "shipping_from": {
    "zip_code": "06760"
  },
  "shipping_to": {
    "zip_code": "06760"
  }
}'
Response
{
  "shipment_rate_id": "be9fae0d-1079-471e-887d-55861965d10e",
  "rates": [
    {
      "options": [
        {
          "id": "3c86ea36-fef7-4a9e-9092-d4eb6e744834",
          "pricing": {
            "base_price": "87",
            "price": "87",
            "discounts": [
              {}
            ]
          },
          "pay_before": "2025-10-27T00:00:00-06:00",
          "delivery_promise": {
            "shipping_from": "2025-10-28T12:00:00-06:00",
            "shipping_to": "2025-10-30T12:00:00-06:00"
          },
          "delivery_days": {
            "from": 3,
            "to": 5
          }
        }
      ],
      "packages": [
        {
          "quantity": 1,
          "dimensions": {
            "weight": 500,
            "width": 30,
            "height": 30,
            "length": 30
          }
        }
      ]
    }
  ],
  "shipping_to": {
    "zip_code": "06760",
    "country_id": "MX",
    "city_id": "TUxNQ0NVQTczMTI",
    "state_id": "MX-DIF"
  }
}